%define name 	sane
%define version 1.0.18
%define release %mkrel 7
%define beta	%nil
#define beta	-pre1

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define	libname_devel %mklibname %{name} %{libmajor} -d

%define iscanversion = 2.1.0

%define __libtoolize /bin/true

# Setting this makes the /etc/sane.d/dll.conf empty so that scanning apps
# do not search for all existing scanner models which makes their startup
# slow (the user or "scannerdrake" has to insert the names of the really
# installed scanners then)
%define empty_dll_conf 0
# Backend maintainer says to leave gphoto2 disabled for now.
%define gphoto2_support 1
# Switch to disable the compilation of the "primax" backend in case of
# problems
%define primax_support 1
# Switch to disable the compilation of the "epkowa" backend in case of
# problems
%define epkowa_support 1
%ifarch alpha ppc sparc
%define primax_support 0
%endif
# Enable debug mode
%define debug 0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SANE - local and remote scanner access
URL:		http://www.sane-project.org/
Source:		ftp://ftp.de.mostang.com/pub/sane/sane-%version/sane-backends-%{version}%{beta}.tar.bz2
Source3:        http://belnet.dl.sourceforge.net/sourceforge/px-backend/primaxscan-1.1.beta1.tar.bz2
Source5:	saned-xinetd.bz2
Source8:	sane-hotplug-usbscanner
Source9:	http://heanet.dl.sourceforge.net/sourceforge/hp44x0backend/sane_hp_rts88xx-0.18.tar.bz2
Source10:	http://heanet.dl.sourceforge.net/sourceforge/brother-mfc/sane-driver-0.2.tar.bz2
Source11:	http://www.geocities.com/trsh0101/SANE/primascan.h.bz2
Source12:	http://www.geocities.com/trsh0101/SANE/primascan.c.bz2
# The free part of Epson's scanner driver package IScan, full package
# downloaded from http://www.avasys.jp/english/linux_e/index.html
# Non-free part stripped out with
# mkdir x; cd x; tar -xvzf ../iscan-2.1.0-1.c2.tar.gz; rm -f */non-free/EAPL*.txt */non-free/lib*.so; tar -cvjf ../iscan-2.1.0-1.c2-free.tar.bz2 *; cd ..; rm -rf x 
Source13:	iscan-2.1.0-1.c2-free.tar.bz2
Patch9: 	sane-sparc.patch
Patch17:	sane-backends-1.0.14-perfection2450-timeout.patch
Patch19:	http://heanet.dl.sourceforge.net/sourceforge/geniusvp2/sane-backends-1.0.15-geniusvp2-0.2.1.patch
#Patch20:	http://projects.troy.rollo.name/rt-scanners/hp3500.diff
License: 	GPL
Group:		Graphics
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86-devel libjpeg-devel tetex-latex tetex-dvips libtiff-devel libusb-devel >= 0.1.6 libieee1284-devel
BuildRequires:	udev-tools libgtk+2.0-devel
%if %{gphoto2_support}
BuildRequires:	gphoto2-devel
%endif

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname}
Group: 		System/Kernel and hardware
License: 	LGPL
Summary: 	SANE - local and remote scanner access. This package contains the sane library
Provides:	libsane = %{version}-%{release}

%description -n %{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname_devel}
Group: 		Development/C
License:	LGPL
Summary: 	SANE - local and remote scanner access
Requires: 	%{libname} = %{version}
Provides: 	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes: 	sane-devel

%description -n %{libname_devel}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package backends
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	%{name} = %{version}-%{release}
Provides:	iscan = %{iscanversion}

%description backends
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the backends for different scanners.

%package -n saned
Group:          System/Kernel and hardware
License:        LGPL
Summary:        SANE - local and remote scanner access
Provides:       %{name} = %{version}-%{release}
Provides:	saned = %{version}-%{release}
Requires:	sane-backends >= 1.0.15-2mdk
Requires:	xinetd
Prereq:         rpm-helper

%description -n saned
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

%prep
%setup -q -n sane-backends-%{version}%{beta}

# Patches for non-x86 platforms
%ifarch sparc
%patch9 -p1 -b .sparc
%endif

# "geniusvp2" backend
#patch19 -p1 -b .geniusvp2

# "hp3500" backend
# Patch does not match on file unsupported.desc (change should not affect
# the backend itself), so we force it in
#bzcat %{PATCH20} | patch -p0 -b --suffix .hp3500 -f || :

# Patch to fix USB timeout issues on "epson" backend.
#patch17 -p0 -b .fixepsonusbtimeout

# Fix parallel build (Gwenole)
for a in `find . -name Makefile.in -print`; do \
	perl -p -i -e 's/^(\s*TARGETS\s+=\s+)(\S+)(\s+)(\$\(\S+_LTOBJS\))/$1$4$3$2/' $a; \
done

# Patch for the HP ScanJet 44x0C scanners ("hp_rts88xx" backend)
%setup -q -T -D -a 9 -n sane-backends-%{version}%{beta}
cd sane_hp_rts88xx/sane_hp_rts88xx
./patch-sane.sh $RPM_BUILD_DIR/sane-backends-%{version}%{beta}
cd ../..
echo 'hp_rts88xx' >> backend/dll.conf.in

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}%{beta}
%endif

# "primascan" backend 
# (commented out in dll.conf, as it claims to support every USB scanner)
bzcat %{SOURCE11} > backend/primascan.h
bzcat %{SOURCE12} > backend/primascan.c
perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure.in
perl -p -i -e 's:(DISTFILES\s*=\s*):$1primascan.h primascan.c :' backend/Makefile.in
echo '#primascan' >> backend/dll.conf.in
autoconf

# Scanners in some Brother MF devices
#setup -q -T -D -a 10 -n sane-backends-%{version}%{beta}

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
%setup -q -T -D -a 13 -n sane-backends-%{version}%{beta}
%endif

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure

# Reduce number of retries done by the "snapscan" backend when accessing
# the scanner
perl -p -i -e 's:for \(retries = 20; retries; retries--\):for (retries = 5; retries; retries--):' backend/snapscan-scsi.c

# Remove the backend/dll.conf file generated by the patches, it prevents
# the Makefile from generating  the real dll.conf file
rm -f backend/dll.conf



%build

%if %debug
export DONT_STRIP=1
CFLAGS="-g" CXXFLAGS="-g" \
%endif
%if %{gphoto2_support}
%configure --with-gphoto2=%{_prefix}
%else
%configure --without-gphoto2
%endif

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

# Do not use macros here (with percent in the beginning) as parallelized
# build does not work
make
make -C doc sane.ps.gz

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
cd primaxscan*
PATH=`pwd`/../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/.libs/"\
#CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include/sane -L`pwd`/../backend/.libs/"\
%configure
%make
%make primax_scan
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
chmod a+rx tools/sane-config
PATH=`pwd`/tools:${PATH}
cd iscan*
export CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC"
export CXXFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC"
%configure --disable-frontend
%make
cd ..
%endif



%install

%if %debug
export DONT_STRIP=1
%endif

rm -rf %{buildroot}
%makeinstall

# Create missing lock dir
install -d %{buildroot}/var/lib/lock/sane

#mv %{buildroot}/%{_sbindir}/saned %{buildroot}/%{_sbindir}/in.saned
#install -m 755 tools/sane-find-scanner %{buildroot}/%{_bindir}
perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

# Comment out entry for the "geniusvp2" backend in
# /etc/sane.d/dll.conf as it makes SANE hanging on some systems when
# the appropriate scanner is not present
perl -p -i -e 's/^(\s*geniusvp2)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Comment out entry for the "epson" backend in /etc/sane.d/dll.conf as
# we have also Epson's "epkowa" backend which supports the same
# scanners
perl -p -i -e 's/^(\s*epson)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove "hpoj" line from /etc/sane.d/dll.con
perl -p -i -e 's/HP\s+OfficeJet/HPLIP/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj.sf.net/hplip.sf.net/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj/hpaio/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv %{buildroot}%{_sysconfdir}/sane.d/dll.conf %{buildroot}%{_sysconfdir}/sane.d/dll.conf.orig
cat > %{buildroot}%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Remove /usr/lib/libsane.a, it is a broken symlink
#rm -f %{buildroot}%{_libdir}/libsane.a

# Move documentation from /usr/dec to /usr/share/doc
install -d %{buildroot}%{_docdir}/sane-backends-%version/
mv %{buildroot}/usr/doc/sane-%{version}*/* %{buildroot}%{_docdir}/sane-backends-%version/

# Primax parallel port scanners
%if %{primax_support}
cd primaxscan*
%makeinstall
rm -f %{buildroot}%{_libdir}/libsane-primax.a
mv %{buildroot}%{_libdir}/libsane-primax* %{buildroot}%{_libdir}/sane/
cp primax_scan %{buildroot}%{_bindir}
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
cd iscan*
%makeinstall
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.a
rm -f %{buildroot}%{_mandir}/man1/iscan.1*
rm -rf %{buildroot}%{_libdir}/iscan
cp backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.conf
cd ..
%endif

# Xinetd.d entry
mkdir %{buildroot}/etc/xinetd.d
bzcat %{SOURCE5} > %{buildroot}/etc/xinetd.d/saned

# udev rules and agents for libusb user support
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
#/usr/sbin/udev_import_usermap --no-modprobe usb tools/hotplug/libsane.usermap > %{buildroot}%{_sysconfdir}/udev/rules.d/70-libusbscanner.rules
install -m644 tools/udev/libsane.rules %{buildroot}%{_sysconfdir}/udev/rules.d/70-libsane.rules
# Let /etc/udev/agents.d/usb/libusbscanner script be run
perl -p -i -e 's:GROUP="scanner":RUN+="libusbscanner":' %{buildroot}%{_sysconfdir}/udev/rules.d/70-libsane.rules
mkdir -p %{buildroot}/%{_lib}/udev/
install -m755 %{SOURCE8} %{buildroot}/%{_lib}/udev/libusbscanner
# Shorten too long comments
perl -p -i -e 's/(\#.{500}).*$/$1 .../' %{buildroot}%{_sysconfdir}/udev/rules.d/70-libsane.rules

%find_lang sane-backends

%post -n %{libname} -p /sbin/ldconfig
%post -n saned
%_post_service saned

%pre -n saned
# Add saned to group cdwriter and ub for scanner access.
/usr/sbin/useradd -r -M -s /bin/false  -c "system user for saned" saned -G cdwriter,usb || :
#%_pre_useradd saned /etc/sane.d /bin/false

%preun -n saned
%_preun_service saned

%postun -n %{libname} -p /sbin/ldconfig
%postun -n saned
%_postun_userdel saned

%clean
rm -rf %{buildroot}

%files backends -f sane-backends.lang
%defattr(-,root,root,755)
%doc %{_docdir}/sane-backends-%version
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*[^saned]
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
#config(noreplace) %{_sysconfdir}/sane.d/*[^saned]
%config(noreplace) %{_sysconfdir}/sane.d/*
/%{_lib}/udev/libusbscanner
#{_sysconfdir}/udev/agents.d/usb/libusbscanner
%{_sysconfdir}/udev/rules.d/70-libsane.rules
%attr(1777,root,root) %dir /var/lib/lock/sane
%{_datadir}/locale/*/*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*

%files -n %{libname_devel}
%defattr(-,root,root,755)
%{_bindir}/sane-config
#%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{_libdir}/sane/*.a
%{_libdir}/sane/*.la
%{_libdir}/sane/*.so
%{_includedir}/sane

%files -n saned
%defattr(-,root,root,755)
%{_sbindir}/*
%{_mandir}/man8/saned*
#config(noreplace) %{_sysconfdir}/sane.d/saned.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/saned

%changelog
* Mon Sep 18 2006 Till Kamppeter <till@mandriva.com> 1.0.18-7mdv2007.0
- Building the sane package was only working on machines with
  libsane-devel installed, added missing paths to the CXXFLAGS of
  IScan to fix this.

* Sun Sep 17 2006 Till Kamppeter <till@mandriva.com> 1.0.18-6mdv2007.0
- More 64-bit fixes for IScan build.

* Fri Sep 15 2006 Till Kamppeter <till@mandriva.com> 1.0.18-5mdv2007.0
- Added "BuildRequires: gtp+-2.0-devel", needed by the configure script
  of the "epkowa" driver.
- Added explicit "-fPIC" to compiler flags of IScan compilation (needed
  to build on 64-bit systems).

* Wed Jul 26 2006 Till Kamppeter <till@mandriva.com> 1.0.18-4mdv2007.0
- Shorten too long comment lines in udev rules file (bug 23509).

* Tue Jul  4 2006 Till Kamppeter <till@mandriva.com> 1.0.18-3mdv2007.0
- Moved the udev script "libusbscanner" to the standard location
  /lib/udev.

* Mon Jul  3 2006 Till Kamppeter <till@mandriva.com> 1.0.18-2mdv2007.0
- Added the "epkowa" backend from Epson Avasys (Source 13).
- Commented out "epson" backend in dll.conf, it is replaced by Epson's
  "epkowa" backend.
- Added "Provides: iscan" so that Epson's plug-in RPMs (closed-source
  modules, firmware files) can be installed without problems.

* Mon Jul  3 2006 Till Kamppeter <till@mandriva.com> 1.0.18-1mdv2007.0
- Updated to SANE 1.0.18 (New backends: "dell1600n_net" (Dell 1600n),
  "hp3500" (HP ScanJet 3500 series), "pixma" (Canon Pixma series), "stv680" 
  (Aiptek Pencam and similar); updated backends: "avision", "canon", "dll",
  "epson", "fujitsu", "genesys", "gt68xx", "microtek2", "mustek_pp",
  "niash", "plustek", "snapscan", "sp15c", "test", "u12", "umax1220u";
  scanimage batch mode fixes; scanner lists contain USB vendor/product ids 
  and some statistics now; udev/hotplug lists are generated autmatically
  from the .desc files now; updated translations; ocumentation updates;
  bugfixes).
- Removed patch 20 ("hp3500" backend merged upstream).
- Use udev rules file provided by SANE, but let libusbscanner script be
  run.
- We have a backend/dll.conf.in file now, and backend/dll.conf gets
  generated by the Makefile. This works only when the patches do not
  already create backend/dll.conf. Removed the backend/dll.conf
  generated by the patches and applied the changes from the patches
  in the backend/dll.conf.in file.

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 1.0.17-4mdk
- Updated /etc/xinetd.d/saned to new /etc/services file (service name
  moved from "sane" to "sane-port", bug 21128),

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 1.0.17-3mdk
- Introduced %%mkrel.

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.17-2mdk
- rebuilt against new net-snmp with new major (10)

* Mon Dec 19 2005 Till Kamppeter <till@mandriva.com> 1.0.17-1mdk
- Updated to SANE 1.0.17 (New backends: "hp4200" (HP ScanJet 4200), 
  "lexmark" (Lexmark X1100 series), "mustek_usb2" (Mustek BearPaw 2448
  TA Pro); updated backends: "artec_eplus48u", "avision", "canon", "epson",
  "fujitsu", "genesys", "gt68xx", "microtek2", "mustek_pp", "plustek",
  "plustek_pp", "sm3600", "snapscan", "umax_pp"; hotplug/udev updates;
  scanimage fixes; sane-find-scanner finds more chipsets; updated
  translations; documentation updates; bugfixes).
- Removed patch 14 ("hp4200" backend is now standard part of SANE).
- Added "hp3500" backend (patch 20).
- Added "primascan" backend (sources 11 and 12).

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.16-6mdk
- rebuilt against openssl-0.9.8a

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 1.0.16-5mdk
- fix BuildRequires: udev_import_usermap is now in udev-tools

* Thu Sep  1 2005 Olivier Blin <oblin@mandriva.com> 1.0.16-4mdk
- Source8: handle udev events (PHYSDEVBUS=usb) and simplify

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 1.0.16-3mdk
- move hotplug usermaps to udev rules
- move libusbscanner script to %{_sysconfdir}/udev/agents.d/usb/

* Sat Aug 13 2005 Till Kamppeter <till@mandriva.com> 1.0.16-2mdk
- Added missing lock directory: /var/lib/lock/sane

* Sat Aug 13 2005 Till Kamppeter <till@mandriva.com> 1.0.16-1mdk
- Updated to SANE 1.0.16 (New backends: "genesys", "sm3840"; updated 
  backends: "avision", "canon", "coolscan", "epson", "gphoto2", "gt68xx", 
  "mustek", "mustek_pp", "niash", "plustek", "plustek_pp", "qcam",
  "sm3600", "snapscan", "teco2", "umax_pp", "v4l"; more functionality/fixes
  for sanei_usb and sanei_pp; added sanei_access to allow locking of SANE
  devices; hotplug updates; scanimage updates; portability fixes; added 
  Polish translation; updated other translations; fixed format strings;
  documentation updates; bugfixes).
- "geniusvp2" backend temporarily deactivated. Patch does not fit well onto 
  1.0.16.

* Fri Mar 18 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.15-7mdk
- Removed Patch 17 (USB timeout issues on "epson" backend) to fix bug
  14424.

* Wed Mar 16 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.15-6mdk
- Commented out entry for the "geniusvp2" in /etc/sane.d/dll.conf as it
  makes SANE hanging on some systems when the appropriate scanner is not
  present (bug 14639).

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.15-5mdk
- rebuild with new libusb

* Mon Feb 14 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.15-4mdk
- Added "geniusvp2" backend to support the Genius ColorPage-Vivid Pro II
  scanner.
- Added "hp_rts88xx" backend to support the HP ScanJet 44x0C scanners.
- Added "sm3840" backend to support the Microtek ScanMaker 3840 scanner.
- Removed patch to introduce "niash" backend. "niash" is already included
  in SANE.
- Not built in debug mode anymore.
- Some clean-up.

* Wed Dec 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.15-3mdk
- rebuild with libexif 0.6.x

* Wed Nov 24 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.15-2mdk
- Both saned and sane-backends claimed ownership on /etc/sane.d/saned.conf
  due to the expression "*[^saned]" in the %%files section not supported
  any more by RPM. Transferred the file  /etc/sane.d/saned.conf to the
  sane-backends package.

* Tue Nov  9 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.15-1mdk
- Updated to SANE 1.0.15 final.

* Mon Oct 18 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.15-0.1mdk
- Updated to SANE 1.0.15-pre1 (New backends: "niash"; updated backends: 
  "agfafocus", "artec_eplus48u", "avision", "canon", "canon_pp",
  "coolscan", "dll", "epson", "fujitsu", "gt68xx", "hp", "hp5400",
  "leo", "microtek2", "mustek", "mustek_pp", "net", "pie", "plustek",
  "plustek_pp", "snapscan", "sp15c", "tamarack", "teco2", "umax",
  "umax_pp", "u12", "v4l"; sane-find-scanner detects more chipsets now; 
  finnish translation. translations updates; saned fixes; documentation
  updates; bugfixes).
- Uncompressed patches.

* Wed Aug 18 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.14-3mdk
- Added patch to remove the accidentally introduced device IDs for the Epson
  Perfection 1250 and 1260 from the "epson" backend.
- Added patch to fix USB timeout issues on "epson" backend.

* Tue May  4 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.14-2mdk
- put back our hotplug script

* Mon May  3 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.14-1mdk
- Updated to SANE 1.0.14 (New backends: "u12"; updated backends: "artec", 
  "artec_eplus48u", "as6e", "avision", "canon630u", "canon_pp", "epson",
  "fujitsu", "gphoto2", "gt68xx", "hp", "matsushita", "mustek", "mustek_pp",
  "mustek_usb", "plustek", "plustek_pp", "sm3600", "snapscan", "teco1",
  "teco2", "u12", "umax", "umax_pp", "v4l"; new USB hot-plugging script; 
  usb-find-scanner recognizes more hardware; support for danish language; 
  bugfixes).
- Switched to SANE's own hotplug infrastructure (needs to be merged with 
  dynamic stuff of Mandrakelinux).
- This SANE package needs kernel 2.6.6-rc2, on older 2.6.x kernels it hangs
  on the "epson" (one can also comment it out in /etc/sane.d/dll.conf).

* Mon Mar 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.13-8mdk
- don't call dynamic stuff multiple times

* Thu Mar 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.13-7mdk
- call dynamic stuff in usb script

* Mon Mar 01 2004 Marcel Pol <mpol@mandrake.org> 1.0.13-6mdk
- include hotplug files again, needed after all

* Thu Feb 26 2004 Marcel Pol <mpol@mandrake.org> 1.0.13-5mdk
- revert last change, pam deals with it

* Thu Feb 12 2004 Marcel Pol <mpol@mandrake.org> 1.0.13-4mdk
- add usb.usermap and hotplug script for libusb user support

* Sun Dec 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.13-3mdk
- Updated "hp4200" backend, now it does not detect arbitrary USB scanners
  as HP SacnJet 4200 any more.
- Let "hp4200" not being commented out in /etc/sane.d/dll.conf any more.

* Thu Dec 11 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.13-2mdk
- Re-introduced "hp4200" backend, got updated patch from author.

* Wed Dec 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.13-1mdk
- Updated to SANE 1.0.13 (New backends: "mustek_pp_ccd", "plustek_pp",
  both splitted off from existing backends; updated backends: "avision",
  "canon630u", "coolscan", "epson", "fujitsu", "gphoto2", "gt68xx", "hp",
  "hp5400", "mustek", "mustek_pp", "pie", "plustek", "snapscan", "teco2",
  "test", "umax", "umax_pp"; support for bulgarian, czech, and italian
  language; bugfixes).
- Updated home page address.
- Removed "hp4200" backend, it is not compatible with SANE 1.0.13 any more.

* Sun Nov 16 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.12-5mdk
- disable primax support for alpha and sparc (like ppc)

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.12-4mdk
- provides plain libsane for versioned requires

* Sun Sep 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.12-3mdk
- Updated plustek backend to 0.46-TEST1 to fix the support for the
  Canon LiDE series (bug 5489).

* Sun Sep  7 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.12-2mdk
- Removed "Requires: sane" from libsane package. sane requires libsane,
  not libsane requires sane.
- De-activated the "hp4200" by default, it recognized every USB scanner
  as an HP ScanJet 4200.

* Fri Aug 22 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.12-1mdk
- Updated to SANE 1.0.12 (New backends: "hp5400" for HP ScanJet 5400c,
  5470c, 5490c, "ibm" for IBM 2456, Ricoh IS410, IS-420, IS-430, "ma1509"
  for Mustek BearPaw 1200 F; updated backends: "apple", "artec_eplus48u",
  "as6e", "avision", "canon", "canon630u", "dc210", "dc240", "dll", "epson",
  "fujitsu" ("fi4220"), "gphoto2", "gt68xx", "hp", "mustek", "mustek_pp",
  "mustek_usb", "net", "pie", "plustek", "snapscan", "teco2", "test",
  "umax", "umax_pp"; IPv6 support for networked scanning with saned and
  "net" backend, USB access improvements, support for dutch and norwegian
  language, bugfixes).
- Removed "viceo" backend due to license problems and because it needs
  parts of the original Windows driver and a kernel patch.
- Tried to parallel build, but does not work, so build non-parallel for now.

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.11-10mdk
- Rebuild

* Tue Aug  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.11-9mdk
- Don't BuildRequires: gimp-libgimp which only contains DSO

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.11-8mdk
- use %%mklibname macro
- buildrequires

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.11-7mdk
- Rebuild

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.11-6mdk
- Rebuild

* Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-5mdk
- Now the "epson" backend should also accept unknown USB vendor/product
  IDs in "usb ..." lines in epson.conf.

* Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-4mdk
- Really fixed bug that "epson" backend only accepted decimal USB
  vendor/product IDs.
- Applied bug fix patch for the "avision" backend.

* Fri Feb 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-3mdk
- Added support for USB scanners with the "fujitsu" backend, especially
  also for the Fujitsu fi-4220C.
- Fixed documentation and config files of the "epson" backend to mention
  USB scanner auto-detection support.
- Fixed bug that "epson" backend only accepted decimal USB vendor/product
  IDs.

* Mon Feb 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-2mdk
- Updated "snapscan" backend (Support for Epson Perfection 660).

* Mon Feb 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.11-1mdk
- Updated to SANE 1.0.11 (Security fix for saned).

* Sat Feb  1 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.10-1mdk
- Updated to SANE 1.0.10 (New backends: "artec_eplus48u" for Artec E+ 48U,
  Tevion/Medion MD 9693, Medion MD 9705, Trust Easy Webscan 19200, "gt68xx" 
  for Artec Ultima 2000, some Mustek BearPaws and other GT6801/GT6816-based
  scanners; updated backends: "avision", "canon", "coolscan2", "canon_pp", 
  "dc210", "dc240", "dc25", "dll", "epson", "gphoto2", "hp", "hpsj5s", 
  "microtek2", "mustek", "mustek_pp", "plustek", "sharp", "snapscan",
  "test", "umax", "umax_pp"; improved SCSI and USB handling. new translation
  system for all backends having translations for the standard options now,
  added translations for Portuguese, Russian and Swedish; various 
  documentation updates).
- Included "gphoto2" backend.
- Do not make /etc/sane.d/dll.conf empty.

* Sat Jan 18 2003 Marcel Pol <mpol@gmx.net> 1.0.9-4mdk
- buildrequires tetex-dvips for sane.ps
- make saned a seperate package
- add saned user and xinetd entry

* Sat Jan 11 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.9-3mdk
- Updated Plustek backend to version 0.45-1 (IMPORTANT UPDATE: Epson
  Perfection 1260 can be damaged with older versions; New models supported:
  Canon CanoScan N670U/N676U, N1220U, N1240U, LIDE 20, LIDE 30; new 
  functionality: TPA auto-detection on Epson Perfection 1260).

* Sat Jan  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.9-2mdk
- drop primax_support on PPC, drop patch10

* Fri Jan  3 2003 Till Kamppeter <till@mandrakesoft.com> 1.0.9-1mdk
- Updated to SANE 1.0.9 (Bug fixes, support for new scanner models).
- Let patch for sparc only be applied on sparc systems.
- Added "niash" (HP ScanJet 3300C, 3400C, 4300C, Agfa SnapScan Touch) 
  backend.
- Added "viceo" (E3 scanners: Genius Vivid Pro, Primax Colorado, Visioneer 
  OneTouch 6100/7600, IBM IdeaScan 2000, LG Electronics Scanworks 600U) 
  backend.
- Added "hp4200" (HP ScanJet 4200) backend.
- Added "primax" (Primax Colorado Direct 300, 600, 9600 Colorado 1200p, 
  Storm Totalscan, Network Scanny MM100, Genius Colorpage Vivid+, Visioneer
  OneTouch 5300, 7300) backend.
- Added "libusb-devel" to "BuildRequires:", it is needed by the "sm3600"
  backend (this was probably the problem why this backend missed in 
  Mandrake 9.0).
- Linked against "libieee1284" to enable "canon_pp" (CanoScan FB320P,
  FB330P, FB620P, FB630P, N340P, N640P, N640P ex) and "hpsj5s" (HP 
  ScanJet 5S).

* Mon Oct 15 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-6mdk
- Introduced and enabled debug mode (macro "%%debug").

* Mon Aug 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-5mdk
- Added the new Epson Perfection 660, 1660 Photo, and 2400 Photo to the list
  of supported scanner models.

* Fri Aug  9 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-4mdk
- Replaced /etc/sane/dll.conf by a nearly empty file to accelerate the
  startup of SANE frontends.
- Fixed /usr/lib/libsane.a.

* Fri Aug  9 2002 Till Kamppeter <till@mandrakesoft.com> 1.0.8-3mdk
- Removed support for the PTAL protocol (HP multi-function devices) from
  the "hp" driver. HPOJ has now its own "hpoj" SANE driver.

* Mon Jul 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.8-2mdk
- lib64 fixes

* Sat Jun 01 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.8-1mdk
- 1.0.8 version.

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-5mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Mar 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-4mdk
- requires/provides on both %%{version} and %%{release}
- added packager tag on myself

* Tue Mar  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.7-3mdk
- rework PPC patches

* Sat Feb 09 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.7-2mdk
- bypass building parallel port drivers on PPC

* Tue Feb 05 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-1mdk
- true version 1.0.7

* Thu Jan 31 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta2.1mdk
- version 1.0.7-beta2

* Mon Jan 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta1.2mdk
- rebuild against libusb 0.1.4

* Tue Jan 22 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.7-0.beta1.1mdk
- version 1.0.7-beta1
- removed patches (merged upstream): scsi, microtek2 -1 pid, file names format

* Wed Nov 28 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.6-2mdk
- drop patch0 for PPC - not needed anymore
- disable umax parallel port scanner build PPC (patch10)

* Tue Nov 27 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.6-1mdk
- the long awaiting 1.0.6 version
- temporaly disable gphoto2 support
- added some doc in devel and std rpm, compression of doc if needed
- fix some plugin place
- sane-config is now in the devel package
- add patch{1,2,3,9} from sane-devel@ ml

* Tue Oct 09 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-3mdk
- added mustek usb support

* Thu Aug 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.0.5-2mdk
- Added HP OfficeJet support

* Fri Jul  6 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-1mdk
- the long awaiting 1.0.5 version

* Thu Jun 14 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-0.20010610.1mdk
- pre-1.0.5, CVS snapshot 2001 10 06
  beware that find-scanner is now called sane-find-scanner
- macros, spec clean up

* Thu May 17 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-3mdk
- patch for PPC, scsi/sg.h appears to get included twice, remove one of them

* Thu Jan 04 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk
- libsane1-devel obsoletes sane-devel (lart me)

* Wed Jan 03 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-1mdk
- New version
- Brand new spec file:
  * split libsane1 to comply to new lib policy
  * package sane-backends contains scanner backends

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new libgimp
- fix %%config(noreplace)

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- s|1.0.2|1.0.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-5mdk
- automatically added BuildRequires


* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-4mdk
- BMacros
- Some spec file changes

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-3mdk
- Fixed group for sane-devel

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.2-2mdk
- Changed group to match 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Tue Mar 07 2000 Daouda LO	<daouda@mandrakesoft.com>
- 1.0.2

* Mon Nov 15 1999 Florin Grad <florin@mandrakesoft.com>

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Recompile with gimp-1.0.4.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild with gimp-1.1.8.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix broken %post %postun broken scripts.

* Tue May 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- recompile in a GIMP-friendly environment
- fix some rather stupid spec bugs

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.01.
- Mandrake adaptations.

* Mon Nov 23 1998 Jonathan Miller <jlm@mvhi.com>
 [1.00-1]
- upgraded to 1.00 (and made description less space-consuming)
- included the post 1.00 fixed "configure" script available 22 Nov 1998.

* Sat Aug 08 1998 Arne Coucheron <arneco@online.no>
  [0.74-3]
- added /etc/sane.d to %dir in file list

* Sat Aug 01 1998 Arne Coucheron <arneco@online.no>
  [0.74-2]
- devel Group: reverted back to Development/Libraries
- some changes to the %defattr and %attr usage in file list

* Tue Jul 28 1998 Binaire <binaire@binaire.ml.org>
  [0.74-1]

* Fri May 22 1998 Arne Coucheron <arneco@online.no>
  [0.73-3]
- added use of %%{name} and %%{version} macros
- added a %postun for running ldconfig after uninstall
- using BuildRoot properly now
- using %defattr and %attr macros in filelist, allows non-root build 
  this means that RPM 2.5 is required to build this spec file now!
- devel Group: changed to X11/Libraries
- added using RPM_OPT_FLAGS during make 
- added striping of programs and libraries
- added Requires: gtk+ >= 0.99.13 to main package
- added Requires: %%{name} = %%{version} to devel package
- added a %clean section for removing the buildroot dir
- simplified the filelist and added %config for sane-style.rc
- moved lib*.so to %files devel and dropped the *.la files
- added -q parameter to %setup
- removed some older changelog entries
- removed the "fix ldconfig brokenness..." stuff
- removed the Packager: line; use /etc/rpmrc if you want your name in
- if GIMP is installed, make symlink from xscanimage to plug-ins dir
- install the find-scanner program from the tools dir

* Mon May 18 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Version 0.73 was created: May 13 1998
- gimp (original was build against 0.99.29)
- gtk+ (original was build against 1.0.1)
- dlh (original was build against 0.7d)
- X11 development tree including xpm libraries.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are now BuildRoot proof.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are not BuildRoot proof. release 3 is done without BuildRoot!

* Tue Apr 21 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Temp. fix for some documentations problems with BuildRoot.

* Sat Apr 11 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Formal 0.72 now made as RPM! (Build against GTK+ 0.99.10 and GIMP 0.99.24)
- Original package was released: Tue Apr 7 1998
